Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class TimeStampReq

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.TimeStampReq

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TimeStampReq
extends ASN1Object

Constructor Summary
`TimeStampReq(MessageImprint messageImprint, ASN1ObjectIdentifier tsaPolicy, ASN1Integer nonce, ASN1Boolean certReq, Extensions extensions)`

Method Summary
`ASN1Boolean` | `getCertReq()`
`Extensions` | `getExtensions()`
`static TimeStampReq` | `getInstance(java.lang.Object o)`
`MessageImprint` | `getMessageImprint()`
`ASN1Integer` | `getNonce()`
`ASN1ObjectIdentifier` | `getReqPolicy()`
`ASN1Integer` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` TimeStampReq ::= SEQUENCE { version INTEGER { v1(1) }, messageImprint MessageImprint, --a hash algorithm OID and the hash value of the data to be --time-stamped reqPolicy TSAPolicyId OPTIONAL, nonce INTEGER OPTIONAL, certReq BOOLEAN DEFAULT FALSE, extensions [0] IMPLICIT Extensions OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampReq

    public TimeStampReq(MessageImprint messageImprint,
                        ASN1ObjectIdentifier tsaPolicy,
                        ASN1Integer nonce,
                        ASN1Boolean certReq,
                        Extensions extensions)

Method Detail

### getInstance

    public static TimeStampReq getInstance(java.lang.Object o)

### getVersion

    public ASN1Integer getVersion()

### getMessageImprint

    public MessageImprint getMessageImprint()

### getReqPolicy

    public ASN1ObjectIdentifier getReqPolicy()

### getNonce

    public ASN1Integer getNonce()

### getCertReq

    public ASN1Boolean getCertReq()

### getExtensions

    public Extensions getExtensions()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  TimeStampReq ::= SEQUENCE { version INTEGER { v1(1) }, messageImprint MessageImprint, --a hash algorithm OID and the hash value of the data to be --time-stamped reqPolicy TSAPolicyId OPTIONAL, nonce INTEGER OPTIONAL, certReq BOOLEAN DEFAULT FALSE, extensions [0] IMPLICIT Extensions OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD